001G_wifi - Bug #3412

DNSO00000 030000004000 BlockedTimesOi0000000000000000000000DDOO0O0O0O0O0OOODDOO
04/25/2025 17:07 - 00 0

Status: Feedback Start date: 04/25/2025
Priority: Normal Due date:

Assignee: 0o % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
gooo: 20250423164652 gooo: 100%
Description

aoooo

1.Telnetl0000

2.0000ons0000

gdbus call -y -d com.ctc.igd1 -0 /com/ctc/igd1/Network/DNSFilter -m com.ctc.igd1.0ObjectManager.AddObject

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/DNSFilter/1 -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.DNSFilter
"{'MAC":<'683E34D9D991'>,'Hostname":<'qq.com'>,'Action":<byte 1>,'Enable".<true>,'Name":<'rule1'>}"

3.pclO00 ipconfig /flushdns && ping www.gg.com

4.00poNs0000

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/DNSFilter -m com.ctc.igd1.ObjectManager.GetManagedObjects
5.00oNsO000

gdbus call -y -d com.ctc.igd1 -0 /com/ctc/igd1/Network/DNSFilter/1 -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.DNSFilter
"'MAC":<">,'Hostname’":.<'qg.com'>,'Action":<byte 2>,'Enable":<true>,'Name":<'rule1'>}"

6.PCl0000 ipconfig /flushdns && ping www.qg.com0000004

7.00onsO00000000004

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/DNSFilter/1 -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.DNSFilter
"{'Enable"<false>}"

8.00pNs0000:

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/DNSFilter/1 -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.DNSFilter
"'MAC":<'683E34D9D991'>,'Hostname":<'qg.com's>,'Action":<byte 0x01>,'Enable":<true>,'Name':<'rule1'>,'Mode":.<byte
0x01>,'WeekDays":<'1,3,5,7'>,'Time":<'00:00-12:00">}"

pcl0000 ipconfig /flushdns && ping www.gg.com

9.00ons00O0

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/DNSFilter/1 -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.DNSFilter
"{'MAC":<'683E34D9D991">,'Hostname":<'qq.com'>,'Action":<byte 0x01>,'Enable":<true>,'Name':<'rule1'>,'Mode":<byte
0x01>,"'WeekDays":<'2,4,6'>,'Time".<'00:00-12:00'>}"

Pcl000D ipconfig /flushdns && ping www.qq.com000004

10.00ponsUO00

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/DNSFilter/1 -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.DNSFilter
"{'MAC":<'683E34D9D991'>,"Hostname":<'qg.com'>,'Action":<byte 0x01>,'Enable":<true>,'Name':<'rule1'>,'Mode":.<byte
0x01>,'WeekDays"<'1,3,5,7'>,'Time":.<'12:00-20:00'>}"

pcl0000 ipconfig /flushdns && ping www.qg.com0000004

11.00ponsUO00

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/DNSFilter/1 -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.DNSFilter
"{'MAC":<'683E34D9D991'>,'Action":<byte 0x01>,'Enable":<true>,'Name':<'rule1'>,'Mode":<byte

0x00>,' WeekDays"<'1,3,5,7'>,"Time":<'00:00-12:00'>,'HostNameList': <[\"baidu\"]>}"

12.pc0000 ipconfig /flushdnslping www.qga.comlping www.baidu.com00000014

13.0000000DNSFitterd00

dbus-send --system --type=method_call --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Network/DNSFilter
com.ctc.igd1.0ObjectManager.DeleteObject objpath:/com/ctc/igd1/Network/DNSFilter/1

nooon

1.00gdbus000000
2.0030pingl01P0192.168.1.101Pv4l00pingl0IPOFE80D::1(IPv4/vell)
3.0040BlockedTimesUO00000000

4.006llping00000000

5.0070BlockedTimesll0

6.0080ping qq.coml0000IPON

7.0090pingl000LAN 1PO0, BlockedTimesO000000000
8.00100ping000LAN 1PO0, BlockedTimesOOOOOO0000
00120pingl000000LAN 1POD0BIockedTimes00
http://www.qq.com
http://www.qq.com%EF%BC%8C%E7%84%B6%E5%90%8E%E6%89%A7%E8%A1%8C%E6%AD%A5%E9%AA%A44
http://www.qq.com
http://www.qq.com%EF%BC%8C%E7%84%B6%E5%90%8E%E6%89%A7%E8%A1%8C%E6%AD%A5%E9%AA%A44
http://www.qq.com%EF%BC%8C%E7%84%B6%E5%90%8E%E6%89%A7%E8%A1%8C%E6%AD%A5%E9%AA%A44
http://www.qq.com%E4%BB%A5%E5%8F%8Aping
http://www.baidu.com%EF%BC%8C%E7%84%B6%E5%90%8E%E6%89%A7%E8%A1%8C%E6%AD%A5%E9%AA%A44

00ao
History

#1 - 05/12/2025 10:53 -0 [

- Status changed from New to Feedback

xilingd0000000000memcpyll
1. tail -f /proc/ctcapp/control_1747017697 &
0pingll controiOOO0O00
1.1747017849, 2, DROP, 0, 192.168.1.1, www.gg.com, 00E070D5BDCF
BlockedTimes [[[
1. gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/DNSFilter -m com.ctc.ig
d1.0bjectManager.GetManagedObjects
({objectpath '/com/ctc/igd1/Network/DNSFilter/1': {'com.ctc.igd1.DNSFilter': {'Enable': <true>, 'Name': <'rule1's, 'Hostname': <'qq.com's, 'Action":

<byte 0x01>, 'MAC': <'00E070D5BDCF'>, 'BlockedTimes": <uint32 1>, 'Mode': <byte 0x00>, 'HostNamelList': <@as []>, 'WeekDays": <">, 'Time'":
<">}},) #
